[med-svn] [Git][med-team/hts-nim-tools][master] 4 commits: Add manpage and corresponding build-depends to generate one

Nilesh Patra gitlab at salsa.debian.org
Sat Nov 7 22:06:26 GMT 2020



Nilesh Patra pushed to branch master at Debian Med / hts-nim-tools


Commits:
fb59dd26 by Nilesh Patra at 2020-11-08T03:06:38+05:30
Add manpage and corresponding build-depends to generate one

- - - - -
b7c50dcb by Nilesh Patra at 2020-11-08T03:25:47+05:30
Add preliminary autopkgtest

- - - - -
f4c0e9a0 by Nilesh Patra at 2020-11-08T03:27:28+05:30
Enhance metadata

- - - - -
756283ec by Nilesh Patra at 2020-11-08T03:30:50+05:30
Add override

- - - - -


7 changed files:

- debian/control
- + debian/lintian-overrides
- + debian/manpages
- debian/rules
- + debian/tests/control
- + debian/tests/run-unit-test
- debian/upstream/metadata


Changes:

=====================================
debian/control
=====================================
@@ -11,7 +11,9 @@ Build-Depends: debhelper-compat (= 13),
                nim-unicodeplus-dev,
                nim-regex-dev,
                nim-kexpr-dev,
-               nim-lapper-dev
+               nim-lapper-dev,
+               help2man,
+               libhts-dev
 Standards-Version: 4.5.0
 Homepage: https://github.com/brentp/hts-nim-tools
 Vcs-Browser: https://salsa.debian.org/med-team/hts-nim-tools


=====================================
debian/lintian-overrides
=====================================
@@ -0,0 +1,2 @@
+# Looks like a false positive - the whatis entry is: "hts-nim-tools - manual page for hts-nim-tools" which sounds more or less, sensible
+hts-nim-tools: useless-whatis-entry usr/share/man/man1/hts-nim-tools.1.gz


=====================================
debian/manpages
=====================================
@@ -0,0 +1 @@
+debian/*.1


=====================================
debian/rules
=====================================
@@ -12,6 +12,7 @@ override_dh_auto_build:
 	#nim c --nimcache:$(NIMCACHE) -p:/usr/share/nimble/unicodeplus -p:/usr/share/nimble/unicodedb -p:/usr/share/nimble/regex -p:/usr/share/nimble/docopt -p:/usr/share/nimble/lapper -p:/usr/share/nimble/hts src/count_reads.nim
 	#nim c --nimcache:$(NIMCACHE) -p:/usr/share/nimble/unicodeplus -p:/usr/share/nimble/unicodedb -p:/usr/share/nimble/regex -p:/usr/share/nimble/docopt -p:/usr/share/nimble/lapper -p:/usr/lib/nim/pure -p:/usr/share/nimble/hts src/copy_number_sampler.nim
 	nim c --debuginfo:on --nimcache:$(NIMCACHE) --out:bin/hts-nim-tools -p:/usr/share/nimble/unicodeplus -p:/usr/share/nimble/unicodedb -p:/usr/share/nimble/regex -p:/usr/share/nimble/docopt -p:/usr/share/nimble/lapper  -p:/usr/share/nimble/kexpr -p:/usr/lib/nim/pure -p:/usr/share/nimble/hts src/hts_nim_tools.nim
+	help2man --no-info --no-discard-stderr --help-option="-h" ./bin/hts-nim-tools > debian/hts-nim-tools.1
 
 override_dh_dwz:
 	echo "I: not executing dwz, which fails because of Unknown DWARF DW_OP_0"
@@ -20,4 +21,3 @@ override_dh_auto_clean:
 	rm -f src/version src/vcf_check src/bam_filter src/hts_nim_tools src/count_reads src/copy_number_sampler
 	rm -rf $(NIMCACHE)
 	rm -rf bin
-


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @, nim-hts-examples (>= 0.3.12+ds-4), libhts-dev
+Restrictions: allow-stderr


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,19 @@
+#!/bin/bash
+set -e
+
+pkg="hts-nim-tools"
+
+if [ "$AUTOPKGTEST_TMP" = "" ] ; then
+  AUTOPKGTEST_TMP=`mktemp -d /tmp/${pkg}-test.XXXXXX`
+  trap "rm -rf $AUTOPKGTEST_TMP" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a /usr/share/doc/nim-hts-examples/* $AUTOPKGTEST_TMP
+
+cd $AUTOPKGTEST_TMP
+gunzip -r *
+
+echo "Test 1"
+hts-nim-tools bam-filter "tag_NM == 2 && tag_RG == 'SRR741410' && is_proper_pair" HG02002.bam | tail -5
+echo "======================================="
+echo "PASS"


=====================================
debian/upstream/metadata
=====================================
@@ -1,3 +1,10 @@
+---
+Archive: GitHub
+Bug-Database: https://github.com/brentp/hts-nim-tools/issues
+Bug-Submit: https://github.com/brentp/hts-nim-tools/issues/new
+Changelog: https://github.com/brentp/hts-nim-tools/tags
+Repository: https://github.com/brentp/hts-nim-tools.git
+Repository-Browse: https://github.com/brentp/hts-nim-tools
 Registry:
  - Name: bio.tools
    Entry: NA



View it on GitLab: https://salsa.debian.org/med-team/hts-nim-tools/-/compare/b9f81a0cd792c907e29015a7448453ea56354f5a...756283eca886fe99d2068980bfa3a150fa28e434

-- 
View it on GitLab: https://salsa.debian.org/med-team/hts-nim-tools/-/compare/b9f81a0cd792c907e29015a7448453ea56354f5a...756283eca886fe99d2068980bfa3a150fa28e434
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20201107/0c061286/attachment-0001.html>


More information about the debian-med-commit mailing list